OBJECT ARX 实体类 通用操作函数

转自:http://apps.hi.baidu.com/share/detail/30275540


四、实体的通用操作函数

成员函数

解释

intersectWith()

用于AutoCADtrimextendfilletchamferbreak命令以及对象捕捉的交点操作。

transformBy()

用于在对象的movescalerotate操作中传递变换矩阵。

getTransformedCopy()

创建一个对象的拷贝然后对其进行变换。

getOsnapPoints()

返回捕捉点和捕捉点的类型。

getGripPoints()

返回栅格点,在这些栅格点中包含了拖动点。

getStretchPoints()

返回拖动点,缺省情况下和getGripPoints()函数一样。

moveStretchPointsAt()

用于AutoCADstrecth命令中拖动指定点,缺省情况下与transformBy()函数一样。

worldDraw()

创建实体的独立于视图的几何图形。

viewportDraw()

创建实体的依赖于视图的几何图形。

draw()

将实体添加到队列中并对这个队列按顺序进行刷新。

list()

用于AutoCADlist命令中生成acutPrintf()输出的提示。

getGeomExtents()

返回包含用户实体的三维形状的矩形的角点。

explode()

将实体分解成一组简单元素。

getSubentPathsAtGsMarker()

返回子实体路径。

getGsMakersAtSubentPath()

返回对应于给定子实体路径的GS标记。

subentPtr()

返回一个对应于给定子实体路径的指针。

highlight()

亮显给定的子实体。

五、曲线类实体的通用操作

extend                         extends the curve to the point toPoint

getArea(double& unnamed)       returns with area set to the area inside the curve

getClosestPointTo              curve that is nearest to givenPnt

getDistAtParam                 Calculates the length of the curve segment from the curve start point to the point  specified by param            

getDistAtPoint                 Calculates the length of the curve segment between the curve start point andpoint and returns the length in distance    

getEndParam                    return with endParam set to the parameter of the endpoint of the curve

getEndPoint                    returns with endPoint set to the end point (in WCS coordinates) of the curve

getFirstDeriv                  evaluates the first derivative of the curve at point and sets firstDeriv to the result

getOffsetCurves                creates one or more entities that together make up the result of offsetting the curve by the distance offsetDist

getOffsetCurvesGivenPlaneNormal         creates one or more entities that, together, make up the result of offsetting the curve by the distance offsetDist in the plane with normal vector normal

getOrthoProjectedCurve                  creates a new curve entity that is the result of projecting the curve along the projPlane normal onto the projPlane and sets projCurve to point to the newly created curve

你可能感兴趣的:(OBJECT ARX 实体类 通用操作函数)